### Class

# Gtk CellRendererSpinner

deprecated: 4.10 since: 4.0

#### Description [src]

    final class Gtk.CellRendererSpinner : Gtk.CellRenderer
    {
      /* No available fields */
    }

Renders a spinning animation in a cell

`GtkCellRendererSpinner` renders a spinning animation in a cell, very similar to `GtkSpinner`. It can often be used as an alternative to a `GtkCellRendererProgress` for displaying indefinite activity, instead of actual progress.

To start the animation in a cell, set the `GtkCellRendererSpinner:active` property to `TRUE` and increment the `GtkCellRendererSpinner:pulse` property at regular intervals. The usual way to set the cell renderer properties for each cell is to bind them to columns in your tree model using e.g. gtk_tree_view_column_add_attribute().

Available since: 4.0

Deprecated since: 4.10

List views use widgets to display their contents. You should use `GtkSpinner` instead.

#### Ancestors

- GtkCellRenderer
- GInitiallyUnowned
- GObject

#### Constructors

###### gtk_cell_renderer_spinner_new

Returns a new cell renderer which will show a spinner to indicate activity.

deprecated: 4.10 since: 4.0

#### Instance methods

##### Methods inherited from GtkCellRenderer (27)

Please see GtkCellRenderer for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.CellRendererSpinner:active

No description available.

since: 4.0

###### Gtk.CellRendererSpinner:pulse

Pulse of the spinner. Increment this value to draw the next frame of the spinner animation. Usually, you would update this value in a timeout.

since: 4.0

###### Gtk.CellRendererSpinner:size

The `GtkIconSize` value that specifies the size of the rendered spinner.

since: 4.0

##### Properties inherited from GtkCellRenderer (15)

###### Gtk.CellRenderer:cell-background

No description available.

since: 4.0

###### Gtk.CellRenderer:cell-background-rgba

Cell background as a `GdkRGBA`

since: 4.0

###### Gtk.CellRenderer:cell-background-set

No description available.

since: 4.0

###### Gtk.CellRenderer:editing

No description available.

since: 4.0

###### Gtk.CellRenderer:height

No description available.

since: 4.0

###### Gtk.CellRenderer:is-expanded

No description available.

since: 4.0

###### Gtk.CellRenderer:is-expander

No description available.

since: 4.0

###### Gtk.CellRenderer:mode

No description available.

since: 4.0

###### Gtk.CellRenderer:sensitive

No description available.

since: 4.0

###### Gtk.CellRenderer:visible

No description available.

since: 4.0

###### Gtk.CellRenderer:width

No description available.

since: 4.0

###### Gtk.CellRenderer:xalign

No description available.

since: 4.0

###### Gtk.CellRenderer:xpad

No description available.

since: 4.0

###### Gtk.CellRenderer:yalign

No description available.

since: 4.0

###### Gtk.CellRenderer:ypad

No description available.

since: 4.0

#### Signals

##### Signals inherited from GtkCellRenderer (2)

###### GtkCellRenderer::editing-canceled

This signal gets emitted when the user cancels the process of editing a cell. For example, an editable cell renderer could be written to cancel editing when the user presses Escape.

since: 4.0

###### GtkCellRenderer::editing-started

This signal gets emitted when a cell starts to be edited. The intended use of this signal is to do special setup on `editable`, e.g. adding a `GtkEntryCompletion` or setting up additional columns in a `GtkComboBox`.

since: 4.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0